__version__='0.8.0'

import os

from importlib import import_module

from mandaye import global_config
from mandaye.exceptions import ImproperlyConfigured

ENVIRONMENT_VARIABLE = "MANDAYE_CONFIG_MODULE"
config = None

if os.environ.has_key(ENVIRONMENT_VARIABLE):
    try:
        mod = import_module(os.environ[ENVIRONMENT_VARIABLE])
    except ImportError, e:
        raise ImproperlyConfigured('Error importing config %s: "%s"' % (os.environ[ENVIRONMENT_VARIABLE], e))
    config = mod
else:
    config = global_config

